Details

    • Type: Sub-task Sub-task
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.0.0-M3
    • Fix Version/s: 2.0.0-M3
    • Component/s: jpa
    • Labels:
      None

      Description

      This is follow-on work to OPENJPA-857. OpenJPA will now detect the version in the persistence.xml for a PU and set it in the configuration. This will result in the appropriate state of various compatibility options to be set based upon the JPA level, allowing OpenJPA 1.0 applications to function without modifications. In addition, integrated bean validation will be disabled for 1.0 applications. Otherwise, unexpected validation could occur by default within a 1.0 app if there is a validation provider in the environment.

        Issue Links

          Activity

          Donald Woods made changes -
          Status Resolved [ 5 ] Closed [ 6 ]
          Donald Woods made changes -
          Link This issue relates to OPENJPA-1178 [ OPENJPA-1178 ]
          Jeremy Bauer made changes -
          Fix Version/s 2.0.0-M3 [ 12314148 ]
          Fix Version/s 2.0.0 [ 12314019 ]
          Affects Version/s 2.0.0-M3 [ 12314148 ]
          Affects Version/s 2.0.0 [ 12314019 ]
          Jeremy Bauer made changes -
          Status Open [ 1 ] Resolved [ 5 ]
          Resolution Fixed [ 1 ]
          Donald Woods made changes -
          Fix Version/s 2.0.0 [ 12314019 ]
          Donald Woods made changes -
          Field Original Value New Value
          Parent OPENJPA-1209 [ 12431757 ]
          Issue Type New Feature [ 2 ] Sub-task [ 7 ]
          Jeremy Bauer created issue -

            People

            • Assignee:
              Jeremy Bauer
              Reporter:
              Jeremy Bauer
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Due:
                Created:
                Updated:
                Resolved:

                Development